package com.red.circle.external.inner.service.google;

import com.red.circle.external.inner.model.dto.SysTransactionLanguageDTO;
import java.util.Map;

/**
 * @author zongpubin on 2023/11/8
 */
public interface GoogleTransactionClientService {

  String translate(String title, String zhCn, String key1);

  String getContentLang(String content);

  Map<String, String> getTranslatedTextBatch(SysTransactionLanguageDTO transactionLanguageDTO);
}
